import { Extension, VideoProcessor, IProcessorContext } from 'agora-rte-extension';
import * as deepar from 'deepar';
export interface DeepARParameters extends Omit<deepar.DeepARParams, 'canvas'> {
    onInitialize?: (deepAR: deepar.DeepAR) => void;
}
declare class VideoExtension extends Extension<DeepARVideoProcessor> {
    private readonly params;
    constructor(params: DeepARParameters);
    protected _createProcessor(): DeepARVideoProcessor;
}
declare class DeepARVideoProcessor extends VideoProcessor {
    name: string;
    private readonly canvas;
    private readonly videoElement;
    private readonly canvasTrack;
    private fps;
    private deepAR;
    private isOnTrackCalled;
    constructor(params: DeepARParameters);
    private initializeDeepARVideo;
    protected onEnableChange(enabled: boolean): void | Promise<void>;
    protected onTrack(track: MediaStreamTrack, ctx: IProcessorContext): void | Promise<void>;
    protected onUnpiped(): void;
}
export { VideoExtension };
